REM === Do_When.BAS - written by Andy Lantos (612) 427-6246 on Sept 13, 1993

	ON ERROR GOTO Help
	GOTO Start
Help:
PRINT "**************************************************************************"
PRINT "* DO_WHEN.EXE ------------------------------------------------- 09/13/93 *"
print "*                                                                        *"
PRINT "*  Description:                                                          *"
print "*              Program to execute a Command if Now is between two Times. *"
PRINT "*                                                                        *"
PRINT "*  Calling sequence:                                                     *"
PRINT "*                      DO_WHEN Command,Start_Time,End_Time               *"
PRINT "*                                                                        *"
PRINT "*                              Command     - any valid DOS command       *"
PRINT "*                                            (can not include commas)    *"
PRINT "*                              Start_Time  - 24 hr time (exp. 09:30)     *"
PRINT "*                              End_Time    - 24 hr time (exp. 15:45)     *"
PRINT "*                                                                        *"
PRINT "**************************************************************************"
	GOTO Done
Start:
' Calculate current time as a 2400 clock
	Now$ = TIME$
	Now% = VAL(LEFT$(Now$, 2)) * 100 + VAL(MID$(Now$, 4, 2))
' Get all the arguments
	Arguments$ = COMMAND$
' First argument Do$ = the command to perform
	A1 = INSTR(Arguments$, ",")
	Do$ = LEFT$(Arguments$, A1 - 1)
	Arguments$ = RIGHT$(Arguments$, (LEN(Arguments$) - A1))
' Second argument S% = Start time
	A1 = INSTR(Arguments$, ",")
	S$ = LEFT$(Arguments$, A1 - 1)
	Arguments$ = RIGHT$(Arguments$, (LEN(Arguments$) - A1))
	S% = VAL(LEFT$(S$, 2)) * 100 + VAL(MID$(S$, 4, 2))
' Third argument E$ = End time
	E$ = Arguments$
	E% = VAL(LEFT$(E$, 2)) * 100 + VAL(MID$(E$, 4, 2))
' Decide to do it
	IF Now% >= S% AND Now% <= E% THEN SHELL Do$

Done:
	END


